<template>
  <div class="home">
    <img
      alt="Vue logo"
      src="../assets/logo.png"
      class="mx-auto h-24"
    >
    <h1 class="mt-6">
      Welcome to Your <span class="text-lessons">Vue.js</span> Lessons
    </h1>
    <p class="mt-4">
      For a guide and recipes on how to solve / customize these lessons,<br>
      check out the
      <a
        href="https://vuejs.org/guide/introduction.html"
        target="_blank"
        rel="noopener"
      >
        vue docs
      </a>.
    </p>
    <h1 class="mt-6 text-lg font-semibold">
      Pick lesson
    </h1>
    <div class="mt-4 text-lg font-bold space-x-4">
      <router-link
        v-for="route in getLessonRoutes"
        :to="{
          name: route.name
        }"
        :key="route.path"
      >
        {{ splitRouteName(route.name) }}
      </router-link>
    </div>
    <router-view />
  </div>
</template>

<script>
export default {
  name: 'Root',
  computed: {
    getLessonRoutes() {
      return this.$router.getRoutes().filter((route) => route.name.includes('Lesson'));
    },
  },
  methods: {
    splitRouteName(name) {
      return `${name.replace(/\d+/g, '')} ${name.replace(/\D+/g, '')}`;
    },
  },
};
</script>
